<?php
class AddedSystemNameToSlideshows extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added a system name field to the slideshows table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_slideshow_slideshows' => array(
					'system_name' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 250, 'after' => 'name'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_slideshow_slideshows' => array('system_name'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
